package com.steerinfo.ems.trmactitem.mapper;

import com.steerinfo.ems.trmactitem.model.TRmActItem;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface TRmActItemMapper extends IBaseMapper<TRmActItem, String> {
    /**
     * 根据类型查询下拉框
     * @param itemtype
     * @return
     */
    List<TRmActItem>getIdAndName(@Param("itemtype") String itemtype);


    List<Map<String, Object>> getActitemDetalts(Map<String, Object> parameters);

    /**
     * 计划项目数据维护查询结果区
     * @param parameters
     * @return
     */
    List<Map<String,Object>>getPlanitemDetalts(Map<String,Object> parameters);

    /**
     * 供需项目数据查询
     */
    List<TRmActItem> getforsj(@Param("mintimegranid") String mintimegranid);

    /**
     * 平衡项目查询
     * @return
     */
    List<TRmActItem>getitems(@Param("itemtype") String itemtype);

    /**
	 * 获取启用的实绩项目信息，按seqno排序
	 * @param parameters
	 * @return
	 */
	List<TRmActItem> selectActr(Map<String, Object> parmas);

	/**
	 * 平衡项目数据查询
	 * 
	 * @param parameters
	 * @return
	 */
	List<Map<String, Object>> getBalanceData(Map<String, Object> parameters);

	/**
	 * 上报项目查询
	 * 
	 * @param parmas
	 * @return
	 */
	List<TRmActItem> queryLikew(HashMap<String, Object> parmas);
	
	/**
	 * 上报项目查询
	 * 
	 * @param parmas
	 * @return
	 */
	List<TRmActItem> queryLikef(HashMap<String, Object> parmas);

	/**
	 * 上报关联产量查询
	 * @return
	 */
	List<Map<String, Object>> getProItems();
	
	/**
	 * 上报关联能耗查询
	 * @return
	 */
	List<Map<String, Object>> getAssItems();

	/**
	 * 获取上报关联产量列表
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> listpv(HashMap<String, Object> parmas);

}